@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,900;1,700&display=swap");

/* Variables */
:root {
  --font-family: "Roboto", sans-serf;
  --normal-font: 400;
  --bold-font: 700;
  --bolder-font: 900;
  --bg-color: #becdb1;
  --Gradient-one: #374b43;
  --primary-color: #009ae1;
  --secondary-color: #9ab0a7;
  --primary-shadow: #000;
  --secondary-shadow: #a17a69;
  --bottom-margin: 0.5rem;
  --bottom-margin-2: 1rem;
  --line-height: 1.7rem;
  --transition: 0.3s;

}



html {
  scroll-behavior: smooth;
}

/* CSS Resets */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* border: 2px solid red; */
}

/* Nav bar spec */
nav {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 3.5rem;
  background-color: #e5ede5;
  box-shadow: 0 3px 5px var(--primary-shadow);
}

nav h1 {
  color: #000;
}

nav a {
  color: #000;
  transition: var(--transition);
}
nav a:hover {
  color: var(--secondary-color);
  border-bottom: 2px solid var(--secondary-color);
}

nav ul {
  display: flex;
  gap: 1.9rem;
}

nav ul li {
  font-weight: var(--bold-font);
}
/* Burger menu spec */
.burger-menu {
  color: var(--primary-color);
  font-size: 2rem;
  border: 0;
  background-color: transparent;
  cursor: pointer;
  display: none;
}

/* hero section */ 
.hero {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
  /* max-width: 68.75rem; */
  margin: auto;
  background-color: var(--bg-color);
  padding-top: 14px;
  padding-bottom: 14px;
  border-bottom: dashed black 2px;
}

.hero img {
  height: 32.5rem;
  width: 25.5rem;
  border-radius: 26px;
  border: solid 2px white;
}

.bio {
  width: 25rem;
  padding: 0.625rem;
  border-radius: 6px;
  box-shadow: 0px 2px 15px 2px var(--primary-shadow);
  background-color: #e5ede5;
}

.bio h1 {
  margin-bottom: var(--bottom-margin);
}

.bio p {
  line-height: var(--line-height);
  padding: 0.3rem 0;
}

/* More about me */ 
    .more-about {
  background-color: var(--bg-color);
  padding: 1rem 6rem;
  border-bottom: dashed 2px black;
}

.more-about h2 {
  margin-bottom: var(--bottom-margin);
  text-align: center;
  background-color: var(--bg-color);
}

.more-about p {
  line-height: var(--line-height);
  padding: 0.4rem;
  background-color: var(--bg-color);
}

/* Skills */
.skills {
  /* max-width: 68.75rem; */
  margin: auto;
  text-align: center;
  margin-top: 2.5rem;
  background-color: var(--bg-color);
}

.skill-header {
  margin-bottom: 1rem;
}

.skills-wrapper img {
  padding: 1.25rem;
}

.icon {
  width: 11.875rem;
  height: 11.25rem;
}

.icon-card {
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 3px 10px var(--secondary-shadow);
  padding: 20px;
  margin: 10px;
}


/* Contact */
.contact-section {
  background: var(--bg-color);
  padding: 20px;
  text-align: center;
  border-top: dashed 2px black;
}

.form-control {
  margin: 10px auto;
  width: 300px;
  text-align: left;
}

.input-field {
  width: 100%;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.submit-btn {
  background-color: #4CAF50;
  color: white;
  padding: 10px 15px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.contact-info{
  width: 29%;
  padding: 0.625rem;
  box-shadow: 0px 2px 15px 2px var(--primary-shadow);
  background-color: #e5ede5;
  margin-top:13%;
  padding:10px;
  border-radius:20pt;
  border:solid;
}

/* projects */

.projects {
  background-color: var(--bg-color);
  padding: 32px 0;
  margin-top: 2rem;
  border-top: dashed 2px black;
}

.project-pic {
  width: 65%;
  height: 60%;
}

.projects-container {
  display: flex;
  align-items: center;
  justify-content: center;
}


.projects-title {
  text-align: center;
  margin-bottom: 1rem;
}

.project-container {
  text-align: center;
  width: 21.875rem;
  padding: 1rem;
}


.project-container p {
  padding: 0.4rem;
}

.project-title {
  margin-bottom: var(--bottom-margin);
}

.project-details {
  margin-bottom: var(--bottom-margin);
}

.project-card {
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 3px 10px var(--primary-shadow);
  padding: 20px;
  margin: 10px;
}

/* social media style */
.socials {
  display: flex;
  flex-direction: column;
  position: fixed;
  right: 1%;
  bottom: 50%;
}

.socicon {
  width: 2rem;
  height: 2rem;
}

/* Scroll to the top */

.scroll-up {
  position: fixed;
  right: 0.5%;
  bottom: 3%;
  cursor: pointer;
}

.up-arrow {
  width: 3rem;
  height: 3rem;
}

/* Mobile styles */
@media screen and (max-width: 720px) {
  /* Navigation */
  nav {
    padding: 1.5rem 1rem;
  }

  nav ul {
    position: fixed;
    background-color: var(--bg-color);
    flex-direction: column;
    top: 86px;
    left: 10%;
    width: 80%;
    text-align: center;
    transform: translateX(120%);
    transition: transform 0.5s ease-in;
  }

  nav ul li {
    margin: 8px;
  }

  .burger-menu {
    display: block;
    padding: 0.5rem;
  }

  nav ul.show {
    transform: translateX(0);
  }

  /* Hero Section */
  .hero {
    margin-top: -2rem;
    flex-direction: column;
    gap: 0;
    background-color: var(--bg-color);
  }

  .hero img {
    height: 30rem;
    width: 20rem;
  }

  .bio {
    width: 18rem;
  }

  /* More About Section */
  .more-about {
    margin-top: 2rem;
    padding: 1rem 3.5rem;
  }

  .more-about h2,
  .more-about p {
    text-align: center;
  }

  .projects-container {
    display: flex;
    flex-direction: column; /* Stack items in a column on smaller screens */
    align-items: center; /* Center-align items */
  }
  
  .project-container {
    width: 100%; /* Full width on smaller screens */
    margin: 1rem 0; /* Adjusted margin for better spacing */
  }

  .contact-content {
    display: flex;
    flex-wrap: wrap;
  }

  .content-left,
  .content-right {
    width: 100%; /* Take full width on smaller screens */
    text-align: center; /* Center-align text */
    margin: 0; /* Reset margin */
  }

  .content-right {
    margin-top: 0; /* Adjusted to prevent overlapping */
  }

  .contact-info {
    width: 100%;
    padding: 0.625rem;
    box-shadow: 0px 2px 15px 2px var(--primary-shadow);
    background-color: #e5ede5;
    border-radius: 20pt;
    border: solid;
    margin-bottom: 7rem; /* Add some space at the bottom */
  }

}

/* Extra Small Screens */
@media screen and (max-width: 420px) {
  .hero img {
    height: 30rem;
    width: 20rem;
  }

  .bio {
    width: 18.3rem;
  }

  .project-container {
    width: 17.875rem;
  }

  .contact-content {
    flex-direction: column; /* Stack content in a column on smaller screens */
  }

  .content-left,
  .content-right {
    width: 100%; /* Take full width on smaller screens */
    text-align: center; /* Center-align text */
    margin: 0; /* Reset margin */
  }

  .content-right {
    margin-top: -12%; /* Adjust as needed */
  }

  .contact-info {
    width: 100%;
    padding: 0.625rem;
    box-shadow: 0px 2px 15px 2px var(--primary-shadow);
    background-color: #e5ede5;
    border-radius: 20pt;
    border: solid;
    margin-top: 7rem; /* Add some space at the top */
  }


}



#container {
    position: relative;
}

.blur-link {
    position: relative;
    z-index: 2;
}

#container:hover > *:not(.blur-link) {
    filter: blur(5px); /* Apply the blur effect */
    pointer-events: none; /* Disable pointer events on blurred elements */
}



ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: var(--primary-color);
}

a:hover {
  text-decoration: none;
  color: var(--secondary-color);
}

body {
  background-color: var(--bg-color);
  font-family: var(--font-family);


}
